Erreur java à la création d'un serveur

gablecodeur

Aventurier
7 Février 2024
7
1
3
23
quand je lance mon serveur avec la commande officielle, on m'affiche ça

Exception in thread "main" java.lang.UnsupportedClassVersionError: net/minecraft/bundler/Main has been compiled by a more recent version of the Java Runtime (class file version 61.0), this version of the Java Runtime only recognizes class file versions up to 52.0

at java.lang.ClassLoader.defineClass1(Native Method)

at java.lang.ClassLoader.defineClass(ClassLoader.java:756)

at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142)

at java.net.URLClassLoader.defineClass(URLClassLoader.java:473)

at java.net.URLClassLoader.access$100(URLClassLoader.java:74)

at java.net.URLClassLoader$1.run(URLClassLoader.java:369)

at java.net.URLClassLoader$1.run(URLClassLoader.java:363)

at java.security.AccessController.doPrivileged(Native Method)

at java.net.URLClassLoader.findClass(URLClassLoader.java:362)

at java.lang.ClassLoader.loadClass(ClassLoader.java:418)

at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:359)

at java.lang.ClassLoader.loadClass(ClassLoader.java:351)

at sun.launcher.LauncherHelper.checkAndLoadMain(LauncherHelper.java:635)


j'ai pourtant la dernière version de jre sur un mac mis à jour.
 

gablecodeur

Aventurier
7 Février 2024
7
1
3
23
Si je lance le fichier jar en double cliquant dessus on m'affiche :
Échec du lancement de l'application java
Recherchez dans Console d'éventuels messages d'erreur concernant "/Users/gabriel/Downloads/serveur/server.jar"